/*
 * Project name:
     ADC_on LEDs (Display the result of ADC on LEDs)
 * Copyright:
     (c) Mikroelektronika, 2015.
 * Description:
      A simple example of using the ADC library.
      ADC results are displayed on GPIO_PORT_08_15 and GPIO_PORT_16_23.
 * Test configuration:
     MCU:             FT900
                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT900_1_2_3.pdf
     Dev.Board:       EasyFT90x v7
                      http://www.mikroe.com/easyft90x
                      ac:ADC
     Oscillator:      CPU at full system clock, 100.000MHz
     Ext. modules:    None.
     SW:              mikroC PRO for FT90x
                      http://www.mikroe.com/mikroc/ft90x/
 * NOTES:
     - Place jumper over GP06 at J81 (Analog Input 1).
     - Turn ON the PORT 08-15 and 16-23 LEDs at SW8.
 */

#include <built_in.h>

unsigned int adc_rd;

void main() {

  GPIO_Digital_Output(&GPIO_PORT_08_15, _GPIO_PINMASK_ALL);    // Set pins 08-15 as digital output
  GPIO_Digital_Output(&GPIO_PORT_16_23, _GPIO_PINMASK_ALL);    // Set pins 16-23 as digital output

  while (1) {
    adc_rd = ADC_Read(1);         // get ADC value from 1st channel
    GPIO_PORT_08_15 = adc_rd;     // display adc_rd[7..0]
    GPIO_PORT_16_23 = Hi(adc_rd); // display adc_rd[9..8]
  }
}