/* Project name:
     Camera Demo
 * Generated by:
     Visual TFT
 * Copyright:
     (c) Mikroelektronika, 2015.
 * Revision History:
       - initial release;
 * Description:
     Demo illustrates the usage of CAM module
 * Test configuration:
     Device:          FT900
                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT900_1_2_3.pdf
     Dev.Board:       EasyFT90x v7 -  ac:CAM
                      http://www.mikroe.com/easyft90x
     Oscillator:      CPU at full system clock, 100.000MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for FT90x
                      http://www.mikroe.com/mikroc/ft90x/
 * NOTES:
   - Turn ON I2C switches at SW2.
   - Pull-up I2C communication lines (GP44 and GP45).

   - Turn ON MICRO SD switches at SW4.
   - Pull-up MICRO SD lines.

   - Pull-up GP00, GP01, GP04, GP05 pins at SW11.
   - Set button press level (SW1) of 00-07 pins to zero.
   - Use GP00 and GP01 to set red channel gain.
   - Use GP04 and GP05 to set blue channel gain.

   - Turn ON CAMERA switches at SW5 and SW7.

   - Make sure that MMC card is properly formatted (to FAT16 or just FAT).
   - Copy on your MMC card "Camera_D.RES" file from project dir.
 */

#include "Camera_Demo_objects.h"
#include "Camera_Demo.h"

void main() {

    Start_TP();
    InitCamera();

    while (1)
    {
        Camera_ProcessImage();
    //Check_TP();
    }
}