/* Project name:
     Led Blinking (The simplest simple example)
 * Copyright:
     (c) Mikroelektronika, 2015.
 * Revision History:
       - initial release;
 * Description:
     Simple "Hello world" example for the world of FTDI MCUs;
 * Test configuration:
     Device:          FT900
                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT900_1_2_3.pdf
     Dev.Board:       EasyFT90x v7 -  ac:LEDs
                      http://www.mikroe.com/easyft90x
     Oscillator:      CPU at full system clock, 100.000MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for FT90x
                      http://www.mikroe.com/mikroc/ft90x/
 * NOTES:
     - Turn ON ports GPIO 00-07, GPIO 08-15, GPIO 16-23, GPIO 24-31, GPIO 32-39, GPIO 40-47, GPIO 48-55 and GPIO 56-66 at SW8 (board specific).
 */

void main() {
  GPIO_Digital_Output(&GPIO_PORT_00_07, _GPIO_PINMASK_ALL); // Set GPIO 00-07 port as digital output
  GPIO_Digital_Output(&GPIO_PORT_08_15, _GPIO_PINMASK_ALL); // Set GPIO 08-15 port as digital output
  GPIO_Digital_Output(&GPIO_PORT_16_23, _GPIO_PINMASK_ALL); // Set GPIO 16-23 port as digital output
  GPIO_Digital_Output(&GPIO_PORT_24_31, _GPIO_PINMASK_ALL); // Set GPIO 24-31 port as digital output
  GPIO_Digital_Output(&GPIO_PORT_32_39, _GPIO_PINMASK_ALL); // Set GPIO 32-39 port as digital output
  GPIO_Digital_Output(&GPIO_PORT_40_47, _GPIO_PINMASK_ALL); // Set GPIO 40-47 port as digital output
  GPIO_Digital_Output(&GPIO_PORT_48_55, _GPIO_PINMASK_ALL); // Set GPIO 48-55 port as digital output
  GPIO_Digital_Output(&GPIO_PORT_56_63, _GPIO_PINMASK_ALL); // Set GPIO 56-63 port as digital output
  GPIO_Digital_Output(&GPIO_PORT_64_66, _GPIO_PINMASK_ALL); // Set GPIO 64-66 port as digital output

  GPIO_PORT_00_07 = 0;
  GPIO_PORT_08_15 = 0;
  GPIO_PORT_16_23 = 0;
  GPIO_PORT_24_31 = 0;
  GPIO_PORT_32_39 = 0;
  GPIO_PORT_40_47 = 0;
  GPIO_PORT_48_55 = 0;
  GPIO_PORT_56_63 = 0;
  GPIO_PORT_64_66 = 0;

  while (1)
  {
    GPIO_PORT_00_07 = ~GPIO_PORT_00_07; // togle PORT 00-07
    GPIO_PORT_08_15 = ~GPIO_PORT_08_15; // togle PORT 08-15
    GPIO_PORT_16_23 = ~GPIO_PORT_16_23; // togle PORT 16-23
    GPIO_PORT_24_31 = ~GPIO_PORT_24_31; // togle PORT 24-31
    GPIO_PORT_32_39 = ~GPIO_PORT_32_39; // togle PORT 32-39
    GPIO_PORT_40_47 = ~GPIO_PORT_40_47; // togle PORT 40-47
    GPIO_PORT_48_55 = ~GPIO_PORT_48_55; // togle PORT 48-55
    GPIO_PORT_56_63 = ~GPIO_PORT_56_63; // togle PORT 56-63
    GPIO_PORT_64_66 = ~GPIO_PORT_64_66; // togle PORT 64-66

    Delay_ms(1000);
  }
}