/* Project name:
     UART1
 * Copyright:
     (c) Mikroelektronika, 2015.
 * Revision History:
       - initial release;
 * Description:
     This simple example demonstrates usage of mikroC's UART libraries, through
     a 'loopback' interface; the data being sent to MCU through UART and sent back.
 * Test configuration:
     Device:          FT900
                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT900_1_2_3.pdf
     Dev.board:       EasyFT90x v7 - ac:USB_UART
                      http://www.mikroe.com/easyft90x
     Oscillator:      CPU at full system clock, 100.000MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for FT90x
                      http://www.mikroe.com/mikroc/ft90x/
 * NOTES:
     - Turn ON USB UART switches (SW2.2 and SW2.3) (board specific).
 */

char
  uart_rd = 0;

void main()
{
  // Initialize UART module at 56000 bps
  UART1_Init(56000);
  Delay_ms(100);                 // Wait for UART module to stabilize

  UART_Write_Text("Start");
  UART_Write(13);
  UART_Write(10);
  while (1)                      // Endless loop
  {
    if (UART_Data_Ready())       // If data is received
    {
      uart_rd = UART_Read();     // read the received data
      UART_Write(uart_rd);       // and send data via UART
    }
  }
}