 /* Project name:
     External_Interrupt
 * Copyright:
     (c) Mikroelektronika, 2015.
 * Revision History:
       - initial release;
 * Description:
      This code demonstrates how to use External Interrupt on PORT_24.
      Program turns on  LEDs on PORTS 00-07.
 * Test configuration:
     Device:          FT900
                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT900_1_2_3.pdf
     Dev.Board:       EasyFT90x v7
                      http://www.mikroe.com/easyft90x
     Oscillator:      CPU at full system clock, 100.000MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for FT90x
                      http://www.mikroe.com/mikroc/ft90x/
 * NOTES:
     - Turn ON ports GPIO 00-07 at SW8 (board specific).
     - Pull down Port GP24
     - Set Button Press Level for PORT_24  on Vcc
 */



void interrupt() iv IVT_GPIO_IRQ{
  Delay_50us();
  GPIO_PORT_00_07 = ~ GPIO_PORT_00_07;
// Clear interrupt flag of PORT_24
  GPIO_INT_PEND24_bit = 1;
}


void main() {
// Enable digital output on PORT_00_07
  GPIO_Digital_Output(&GPIO_PORT_00_07, _GPIO_PINMASK_ALL);  // Enable digital output on PORTD
  GPIO_PORT_00_07 = 0;
// Enable digital input on PORT_24
  GPIO_Digital_Input(&GPIO_PORT_24_31,_GPIO_PINMASK_0);
// Enable all interrupts
  IRQ_CTRL.B31 = 0;
// Set rising edge to detect interrupt
  GPIO24_CFG0_bit = 1;
// Interrupt capable
  GPIO24_CFG1_bit = 1;
// Set GPIO direction as input
  GPIO24_CFG2_bit = 0;
  GPIO24_CFG3_bit = 0;
// Enable interrupt on PORT_24
  GPIO_INT_EN24_bit = 1;

  while(1)
    ;
}